@import"https://fonts.googleapis.com/css?family=Google+Sans:400,500|Roboto+Mono:400,500,700|Source+Code+Pro:ital,wght@0,200..900;1,200..900";*,*:after,*:before {
    box-sizing: border-box
}

:root {
    --accent-color: #4285f4;
    --accent-color-dark: #131314;
    --text-on-color: #DADCE0;
    --text-on-white: #616161;
    --info-color: #ea8600;
    --info-color-hover: #bd6b00;
    --info-color-backdrop: rgba(251, 188, 4, .224514);
    --info-color-negative: #ea4335;
    --info-color-positive: #34a853;
    --info-color-positive-backdrop: rgba(51, 168, 84, .224514);
    --google-type-grey-800: #3c4043
}

.theme-light {
    --background-color: #fff;
    --background-color-emphasized: #f4f4f4;
    --border-color: #e8eaed;
    --text-color: #4b4b4b;
    --text-color-reduced: rgba(0, 0, 0, .54);
    --text-color-disabled: #c4c4c4;
    --heading-color: #202124;
    --divider-color: rgba(0, 0, 0, .1);
    --box-shadow: 0px 4px 4px 0px rgba(60, 64, 67, .3), 0px 8px 12px 6px rgba(60, 64, 67, .15)
}

.theme-dark {
    --background-color: #373737;
    --background-color-emphasized: #262626;
    --border-color: #5e5e5e;
    --text-color: rgba(255, 255, 255, .76);
    --text-color-reduced: rgba(255, 255, 255, .54);
    --text-color-disabled: rgba(255, 255, 255, .23);
    --heading-color: #ffffff;
    --divider-color: rgba(255, 255, 255, .1);
    --box-shadow: 0px 12px 34px rgba(200, 202, 206, .15)
}

html {
    height: 100%;
    box-sizing: border-box;
    font-family: Google Sans,Roboto,sans-serif
}

html *,*:before,*:after {
    box-sizing: border-box
}

html,body {
    overflow: hidden
}

body {
    margin: 0;
    height: 100%;
    font-size: 16px;
    color: var(--text-color);
    display: flex;
    background-color: #000
}

button {
    font-family: Google Sans,Roboto,sans-serif
}

.container {
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: row-reverse
}

.map-container {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
    outline: none;
    opacity: 1;
    transition: opacity 2s; 
}

.map-container.fade {
    opacity: 0;
  }

#street-container {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index:0
}

.controls-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none
}

.controls-container>* {
    pointer-events: all
}

.main-aside {
    width: 29.1em;
    position: absolute;
    bottom: 2.6rem;
    left: 1.5rem;
    border-radius: 16px;
    box-shadow: var(--box-shadow);
    z-index: 1000;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: box-shadow .25s ease-in-out
}

.main-aside.hidden {
    display: none
}

.pages {
    overflow: auto;
    height: calc(94.5vh - 67px);
    max-height: 95vh;
    border-radius: 16px 16px 0 0;
    flex-grow: 1;
    transition: max-height .3s ease-in-out,border-radius .3s ease-in-out;
    color: #DADCE0;
    background-color: #131314;
}

.page {
    display: none;
    padding: 0 1.1em 0 1.1em;
}

.main-aside.collapsed {
    border-radius: 40px 40px 0 0;
    box-shadow: none
}

.main-aside.collapsed .pages {
    max-height: 0;
    border-radius: 40px 40px 0 0
}

@media only screen and (max-width: 1080px) {
    .pages {
        height: calc(55vh - 67px);
        max-height: 55vh;
      }
      .page-container {
          height: calc(55vh - 67px);
          max-height: 55vh;
      }

    .camera-control::part { 
        display: none;
    }
}

@media only screen and (max-width: 540px){
.main-aside {
    width:90%;
    left: 50%;
    bottom: 2.5rem;
    transform: translate(-50%)
}
	.pagination-container{
	padding:1.5em 2em;
	z-index:12;
	width:100%;
	box-sizing:border-box
}
.pagination-container.collapsed{
	bottom:0;
	box-shadow:var(--box-shadow)
}
.pagination_title{
	max-width:200px}
}

@media (orientation: portrait) {
    .pages {
      height: calc(55vh - 67px);
      max-height: 55vh;
    }
    .page-container {
        height: calc(55vh - 67px);
        max-height: 55vh;
    }
  }
.welcome-screen {
    width: 100%;
    height: 100%;
    padding: 0;
    margin:0;
    pointer-events: all;
}
.page-logo {
    position: relative;
    font-size: 1.3em;
    letter-spacing: .25px;
    font-weight: 400;
    z-index: 2;
    display: flex;
    align-items: center;
    gap: .25em;
}

.splash {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: #000;
    height: 100%;
    width: 100%;
    pointer-events: none;
    opacity: 1;
    display: flex;
    align-items: center;
}

.splash.hidden {
    opacity: 0;
    transition: opacity .2s ease-out .3s;
}

.gradient-container {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 50%;
    top: 0;
    padding-left: 4em;
    background: linear-gradient(90deg, #000 20%, #0000008c 80%, #0000);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    animation: fadeIn 2s .5s ease-out both;
}

.intro {
    font-size: .9em;
    color: var(--text-on-color);
    width: 55%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 1em;
}

.title {
    font-size: 3rem;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: -.5px;
    margin: 0;
}

.detail {
    font-size: 1.125rem;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 0em;
}

[class$=alpha-banner] {
    display: none
}
.pagination-container{
	background-color:var(--accent-color-dark);
	-webkit-user-select:none;
	user-select:none;
	padding:1.5em 2em;
	border-bottom-right-radius:16px;
	border-bottom-left-radius:16px;
	display:flex;
	justify-content:space-between;
	align-items:center;
	transition:border-top-left-radius .1s linear,border-top-right-radius .1s linear,border-bottom-left-radius .2s ease-in .2s,border-bottom-right-radius .2s ease-in .2s;
    height: 44px;
}
.pagination-container.collapsed{
	width:100%;
	border-radius:16px;
	box-shadow:var(--box-shadow);
	opacity:1;
	display:flex;
	align-items:center;
	gap:10px;
	transition:border-radius .3s ease-in,opacity .3s ease-in-out;
	transition-delay:.2s;
	height: 44px;
}
.pagination-container.collapsed.hidden{
	opacity:0
}
.pagination{
	color:var(--text-on-color);
	font-weight:400;
	font-size:13px;
	line-height:1.25em;
	white-space:nowrap;
	height:40px;
	display:flex;
	align-items:center;
	justify-content:space-between;gap:8px
}
.pagination>a{
	outline-color:var(--accent-color-dark)
}
.pagination-home__link{
	color:var(--text-on-color);
	font-weight:500;
	font-size:13px;
	cursor:pointer;
	display:flex;align-items:center;
	gap:.75em
}
.pagination-linear{
    display: flex;
    align-items: center;
	cursor:pointer;
	font-weight:400;
	font-size:1.4em;
	border-radius:8px;
	fill:hsla(0, 0%, 100%, .6);
    width: 40px;
    height: 40px;
}
.prev-page>svg{
	transform:rotate(180deg);
}
.pagination-linear.inactive{
	pointer-events:none
}
.pagination-linear.inactive>svg{
	fill:#ffffff4d
}
.pagination_title{
	color:var(--text-on-color);
	font-size:1.3em;
	font-style:normal;
	font-weight:400;
	line-height:1.2em;
	letter-spacing:.1px;max-width:250px;
	overflow:hidden;
	text-overflow:ellipsis;
	white-space:nowrap;display:inline-block;
}
.pagination_title.export-page{
	padding-left:12px
}
.presentation-button{
	background:none;
	border:none;
    padding:0;
    margin:0;
	cursor:pointer;
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius:8px;
    fill:hsla(0, 0%, 100%, .6);
}
.presentation-button svg path{
    fill:hsla(0, 0%, 100%, .6);
}
.presentation-button:hover svg path{
    fill:#fff;
}
.pagination-linear:hover{
    background-color: #062E6F;
    fill:#fff;
}
.presentation-button:hover{
    background-color: #062E6F;
}
.page-container {
    display: flex;
    height: calc(94.5vh - 67px);
    max-height: 95vh;
    flex-direction: column;
    color: #DADCE0;
    background-color: #131314;
}
.has-scroll {
    padding: 0 0 0 1.1em;
}
